%define        majver         %(echo %version | cut -d. -f1-2)
%define        MAJver         %(echo %version | cut -d. -f1)
%define        apiver %{MAJver}.0
%define        evo_pluginsdir %(pkg-config evolution-plugin --variable=plugindir)
Name:          tracker
Version:       3.7.3
Release:       1mamba
Summary:       An object database, tag/metadata database, search tool and indexer
Group:         Applications/Databases
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/Apps
Source0:       http://ftp.acc.umu.se/pub/GNOME/sources/tracker/%{majver}/tracker-%{version}.tar.xz
Source1:       gnome_system_search.png
Patch0:        tracker-0.8.17-doc-build.patch
Patch1:        tracker-0.8.17-eds-build-fix.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libavahi-devel
BuildRequires: libavahi-glib-devel
BuildRequires: libglib-devel
BuildRequires: libicu-devel
BuildRequires: libjson-glib-devel
BuildRequires: libsoup-devel
BuildRequires: libsoup2-devel
BuildRequires: libsqlite-devel
BuildRequires: libstemmer-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END

%description
Tracker is a powerful desktop-neutral first class object database, tag/metadata database, search tool and indexer.
It consists of a common object database that allows entities to have an almost infinte number of properties, metadata (both embedded/harvested as well as user definable), a comprehensive database of keywords/tags and links to other entities.
It provides additional features for file based objects including context linking and audit trails for a file object.
It has the ability to index, store, harvest metadata. retrieve and search all types of files and other first class objects

%package -n libtracker
Summary:       An object database, tag/metadata database, search tool and indexer
Group:         System/Libraries

%description -n libtracker
Tracker is a powerful desktop-neutral first class object database, tag/metadata database, search tool and indexer.
This package contains the libraries provided with the tool.

%package -n libtracker-devel
Summary:       Headers for developing programs that will use %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      tracker-devel
Obsoletes:     tracker-devel < 3.1.1

%description -n libtracker-devel
Tracker is a powerful desktop-neutral first class object database, tag/metadata database, search tool and indexer.
This package contains the static libraries and header files needed for developing with tracker

%package apidocs
Summary:       %{name} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
Tracker is a powerful desktop-neutral first class object database, tag/metadata database, search tool and indexer.
This package contains the API documentation for %{name}

#% debug_package

%prep
%setup -q
#-D -T

%build
#:<< _EOF
%meson \
   -Dsystemd_user_services=true \
   -Ddocs=false

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

rm -rf %{buildroot}%{_datadir}/tracker-tests

%find_lang %{name}3

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libtracker -p /sbin/ldconfig
%postun -n libtracker -p /sbin/ldconfig

%files -f %{name}3.lang
%defattr(-,root,root)
%{_bindir}/tracker3
%{_bindir}/tracker3-*
%{_userunitdir}/tracker-*.service
%{_datadir}/bash-completion/completions/tracker3
%{_datadir}/dbus-1/services/org.freedesktop.portal.Tracker.service
%dir %{_datadir}/tracker3
%{_datadir}/tracker3/commands/tracker-*.desktop
%{_mandir}/man1/tracker-xdg-portal-3.1*
%{_mandir}/man1/tracker3-endpoint.1*
%{_mandir}/man1/tracker3-export.1*
%{_mandir}/man1/tracker3-import.1*
%{_mandir}/man1/tracker3-sparql.1*
%{_mandir}/man1/tracker3-sql.1*

%files -n libtracker
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Tracker-%{apiver}.typelib
%{_libdir}/libtracker-sparql-%{apiver}.so.*
%dir %{_libdir}/tracker-%{apiver}
%dir %{_libdir}/tracker-%{apiver}/trackertestutils
%{_libdir}/tracker-%{apiver}/trackertestutils/*
%{_libdir}/tracker-%{apiver}/libtracker-*.so
%{_libexecdir}/tracker-xdg-portal-3
%doc AUTHORS COPYING*

%files -n libtracker-devel
%defattr(-,root,root)
%dir %{_includedir}/tracker-%{apiver}
%dir %{_includedir}/tracker-%{apiver}/libtracker-sparql
%{_includedir}/tracker-%{apiver}/libtracker-sparql/*.h
%{_libdir}/libtracker-sparql-%{apiver}.so
%{_datadir}/gir-1.0/Tracker-3.0.gir
%{_datadir}/vala/vapi/tracker-sparql-3.0.deps
%{_datadir}/vala/vapi/tracker-sparql-3.0.vapi
%{_libdir}/pkgconfig/tracker-sparql-3.0.pc
%{_libdir}/pkgconfig/tracker-testutils-3.0.pc
%doc NEWS README.md

%changelog
* Sat May 04 2024 Automatic Build System <autodist@openmamba.org> 3.7.3-1mamba
- automatic version update by autodist

* Thu Apr 25 2024 Automatic Build System <autodist@openmamba.org> 3.7.2-1mamba
- automatic version update by autodist

* Thu Mar 28 2024 Automatic Build System <autodist@openmamba.org> 3.7.1-1mamba
- automatic version update by autodist

* Tue Mar 19 2024 Automatic Build System <autodist@openmamba.org> 3.7.0-1mamba
- automatic version update by autodist

* Mon Sep 18 2023 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Thu Jun 01 2023 Automatic Build System <autodist@mambasoft.it> 3.5.3-1mamba
- automatic version update by autodist

* Sat May 13 2023 Automatic Build System <autodist@mambasoft.it> 3.5.2-1mamba
- automatic version update by autodist

* Thu Apr 27 2023 Automatic Build System <autodist@mambasoft.it> 3.5.1-1mamba
- automatic version update by autodist

* Mon Mar 20 2023 Automatic Build System <autodist@mambasoft.it> 3.5.0-1mamba
- automatic version update by autodist

* Fri Dec 09 2022 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Thu Oct 27 2022 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Mon Sep 19 2022 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Wed Aug 10 2022 Automatic Build System <autodist@mambasoft.it> 3.3.3-1mamba
- automatic version update by autodist

* Mon Jul 11 2022 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic version update by autodist

* Thu Jun 02 2022 Automatic Build System <autodist@mambasoft.it> 3.3.1-1mamba
- automatic version update by autodist

* Tue Mar 22 2022 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Sun Oct 31 2021 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Sat Sep 25 2021 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Thu Jun 17 2021 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- automatic version update by autodist

* Fri Apr 23 2021 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Thu Sep 24 2020 Automatic Build System <autodist@mambasoft.it> 2.3.6-1mamba
- automatic version update by autodist

* Tue Aug 25 2020 Automatic Build System <autodist@mambasoft.it> 2.3.5-1mamba
- automatic version update by autodist

* Tue Mar 10 2020 Automatic Build System <autodist@mambasoft.it> 2.3.4-1mamba
- automatic version update by autodist

* Wed Feb 19 2020 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Sun Jan 19 2020 Automatic Build System <autodist@mambasoft.it> 2.3.1-1mamba
- automatic version update by autodist

* Fri Oct 04 2019 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Sun Aug 04 2019 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- automatic version update by autodist

* Thu Aug 16 2018 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic version update by autodist

* Thu Aug 02 2018 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Sun Jul 29 2018 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Mon Jul 02 2018 Automatic Build System <autodist@mambasoft.it> 2.0.4-1mamba
- automatic version update by autodist

* Wed Feb 07 2018 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic version update by autodist

* Thu Nov 23 2017 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic update by autodist

* Tue Oct 24 2017 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Fri Aug 25 2017 Automatic Build System <autodist@mambasoft.it> 1.12.3-1mamba
- automatic version update by autodist

* Fri Aug 11 2017 Automatic Build System <autodist@mambasoft.it> 1.12.2-1mamba
- automatic version update by autodist

* Fri Dec 09 2016 Automatic Build System <autodist@mambasoft.it> 1.10.2-1mamba
- automatic version update by autodist

* Tue Oct 18 2016 Automatic Build System <autodist@mambasoft.it> 1.10.1-1mamba
- automatic version update by autodist

* Wed May 18 2016 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Thu Nov 26 2015 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Sun Oct 11 2015 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Sun Aug 02 2015 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Wed May 06 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-2mamba
- rebuilt by autoport with build requirements: 

* Tue Apr 14 2015 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Wed Dec 17 2014 Automatic Build System <autodist@mambasoft.it> 1.2.5-1mamba
- automatic update by autodist

* Tue Nov 11 2014 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Sun Oct 26 2014 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Thu Sep 25 2014 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Tue Sep 23 2014 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Tue Sep 23 2014 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Wed Aug 20 2014 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Sun Jul 27 2014 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Sat Jul 05 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-2mamba
- bump release up

* Sat Jul 05 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1mamba
- update to 1.0.1

* Sun Jun 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-2mamba
- rebuilt with upower 0.9.23

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Sat Mar 22 2014 Automatic Build System <autodist@mambasoft.it> 0.17.8-1mamba
- automatic version update by autodist

* Thu Feb 06 2014 Automatic Build System <autodist@mambasoft.it> 0.17.1-1mamba
- automatic version update by autodist

* Sat Nov 23 2013 Automatic Build System <autodist@mambasoft.it> 0.17.0-1mamba
- automatic version update by autodist

* Tue Nov 12 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.3-2mamba
- rebuilt with libtotem-pl-parser 3.10

* Fri Nov 01 2013 Automatic Build System <autodist@mambasoft.it> 0.16.3-1mamba
- automatic version update by autodist

* Thu Aug 01 2013 Automatic Build System <autodist@mambasoft.it> 0.16.2-1mamba
- automatic version update by autodist

* Thu May 02 2013 Automatic Build System <autodist@mambasoft.it> 0.16.1-1mamba
- automatic version update by autodist

* Thu Mar 28 2013 Automatic Build System <autodist@mambasoft.it> 0.16.0-1mamba
- automatic version update by autodist

* Wed Feb 06 2013 Automatic Build System <autodist@mambasoft.it> 0.14.5-1mamba
- automatic version update by autodist

* Mon Nov 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14.4-2mamba
- package libraries into ibtracker and libtracker-devel; moved xfg autostart to tracker-search-tool

* Thu Nov 01 2012 Automatic Build System <autodist@mambasoft.it> 0.14.4-1mamba
- automatic version update by autodist

* Wed Oct 31 2012 Automatic Build System <autodist@mambasoft.it> 0.14.3-1mamba
- update to 0.14.3

* Tue Oct 09 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14.2-1mamba
- update to 0.14.2

* Thu Oct 21 2010 gil <puntogil@libero.it> 0.8.17-1mamba
- update to 0.8.17

* Thu May 15 2008 gil <puntogil@libero.it> 0.6.6-1mamba
- package created by autospec
